com.threerings.puzzle.data

## Interface PuzzleCodes

All Superinterfaces:
  com.threerings.presents.data.InvocationCodes

All Known Subinterfaces:
  PuzzleGameService

All Known Implementing Classes:
  DropControllerDelegate, DropManagerDelegate, PuzzleController, PuzzleControllerDelegate, PuzzleGameMarshaller, PuzzleManager, PuzzleObject, PuzzlePanel

    public interface PuzzleCodes
    extends com.threerings.presents.data.InvocationCodes

Constants relating to the puzzle services.

### Field Summary

Fields
`static boolean` `DEBUG_PUZZLE` Whether to enable debug logging and assertions for puzzles.
`static int` `DEFAULT_DIFFICULTY` The default puzzle difficulty level.
`static String` `PUZZLE_MESSAGE_BUNDLE` The message bundle identifier for general puzzle messages.

### Fields inherited from interface com.threerings.presents.data.InvocationCodes

`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

### Field Detail

#### PUZZLE_MESSAGE_BUNDLE

    static final String PUZZLE_MESSAGE_BUNDLE

The message bundle identifier for general puzzle messages.

See Also:
  Constant Field Values

#### DEFAULT_DIFFICULTY

    static final int DEFAULT_DIFFICULTY

The default puzzle difficulty level.

See Also:
  Constant Field Values

#### DEBUG_PUZZLE

    static final boolean DEBUG_PUZZLE

Whether to enable debug logging and assertions for puzzles. Note that enabling this may result in the server or client exiting unexpectedly if certain error conditions arise in order to facilitate debugging, and so this should never be enabled in any environment even remotely resembling production.

See Also:
  Constant Field Values